package com.heyu.api.data.service.impl.device;
/**
* <p>
* 设备与用户绑定表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.device.DeviceUserBindDao;
import com.heyu.api.data.entity.device.DeviceUserBindEntity;
import com.heyu.api.data.service.device.DeviceUserBindService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class DeviceUserBindServiceImpl extends ServiceImpl<DeviceUserBindDao, DeviceUserBindEntity> implements DeviceUserBindService {


    @Autowired
	private DeviceUserBindDao deviceUserBindDao;



	@Override
	public DeviceUserBindEntity selectDeviceUserBindById(Long id){
		return deviceUserBindDao.selectDeviceUserBindById(id);
	}



	@Override
	public Long insertDeviceUserBind(DeviceUserBindEntity deviceUserBind){
		return deviceUserBindDao.insertDeviceUserBind(deviceUserBind);
	}



	@Override
	public Long insertOrUpdateDeviceUserBind(DeviceUserBindEntity deviceUserBind){
		return deviceUserBindDao.insertOrUpdateDeviceUserBind(deviceUserBind);
	}



	@Override
	public int updateDeviceUserBindById(DeviceUserBindEntity deviceUserBind){
		return deviceUserBindDao.updateDeviceUserBindById(deviceUserBind);
	}



	@Override
	public int updateCoverDeviceUserBindById(DeviceUserBindEntity deviceUserBind){
		return deviceUserBindDao.updateCoverDeviceUserBindById(deviceUserBind);
	}



	@Override
	public int deleteDeviceUserBindById(Long id){
		return deviceUserBindDao.deleteDeviceUserBindById(id);
	}



}
